<?php
	define("HTML_TITLE", "MyHome アルバム");
	define("SESSION_PREFIX", "photo");

	if (defined("photo_DEFAULT_IMAGES_FOLDER")) {
		define("DEFAULT_IMAGES_FOLDER", photo_DEFAULT_IMAGES_FOLDER);
		define("SMALL_SIZE", photo_SMALL_SIZE);
		define("MID_SIZE", photo_MID_SIZE);
		define("BIG_SIZE", photo_BIG_SIZE);
		define("MAX_SIZE", photo_MAX_SIZE);
		define("UPDOWN_SIZE", photo_UPDOWN_SIZE);
	} else {
		define("DEFAULT_IMAGES_FOLDER", "D:/Temp");
		define("SMALL_SIZE", 120);
		define("MID_SIZE", 240);
		define("BIG_SIZE", 360);
		define("MAX_SIZE", 720);
		define("UPDOWN_SIZE", 120);
	}
	if (defined("photo_IMAGE_MAX_SELECT")) {
		define("IMAGE_MAX_SELECT", photo_IMAGE_MAX_SELECT);
		define("IMAGE_MAX_DEFAULT", photo_IMAGE_MAX_DEFAULT);
	} else {
		define("IMAGE_MAX_SELECT", "5,10,20,50,100,200,1000");	//頁内に表示する画像数
		define("IMAGE_MAX_DEFAULT", "10");			//頁内に表示する画像数（デフォルト）
	}
	if (defined("photo_SLIDE_MAIN_SIZE")) {
		define("SLIDE_MAIN_SIZE", photo_SLIDE_MAIN_SIZE);
		define("SLIDE_SMALL_SIZE", photo_SLIDE_SMALL_SIZE);
		define("SLIDE_SMALL_NUM", photo_SLIDE_SMALL_NUM);
		define("SLIDE_MAIN_BG_COLOR", photo_SLIDE_MAIN_BG_COLOR);
		define("SLIDE_SMALL_BG_COLOR", photo_SLIDE_SMALL_BG_COLOR);
	} else {
		define("SLIDE_MAIN_SIZE", 500);
		define("SLIDE_SMALL_SIZE", 56);
		define("SLIDE_SMALL_NUM", 10);
		define("SLIDE_MAIN_BG_COLOR", "#202020");
		define("SLIDE_SMALL_BG_COLOR", "#808080");
	}
	if (defined("photo_SLIDE_INTERVAL_TIME")) {
		define("SLIDE_INTERVAL_TIME", photo_SLIDE_INTERVAL_TIME);
	} else {
		define("SLIDE_INTERVAL_TIME", 3);
	}
	if (defined("photo_SLIDE_MAIN_SIZE_SELECT")) {
		define("SLIDE_MAIN_SIZE_SELECT", photo_SLIDE_MAIN_SIZE_SELECT);
	} else {
		define("SLIDE_MAIN_SIZE_SELECT", "100,200,300,400,500,600,800,1000,1200,1400,1600");
	}
	if (defined("photo_VIDEO_THUMBNAIL_BORDER")) {
		define("VIDEO_THUMBNAIL_BORDER", photo_VIDEO_THUMBNAIL_BORDER);
	} else {
		define("VIDEO_THUMBNAIL_BORDER", "border: solid 1px #ff8000;");
	}
	if (defined("photo_CURRENT_THUMBNAIL_BORDER")) {
		define("CURRENT_THUMBNAIL_BORDER", photo_CURRENT_THUMBNAIL_BORDER);
	} else {
		define("CURRENT_THUMBNAIL_BORDER", "border: solid 1px #0080ff;");
	}
	if (defined("photo_JIGSAW_PUZZLE_CREATE")) {
		define("JIGSAW_PUZZLE_CREATE", photo_JIGSAW_PUZZLE_CREATE);
	} else {
		define("JIGSAW_PUZZLE_CREATE", "YES");		//ジグソーパズル生成機能を使う場合: "YES"
	}
	if (defined("photo_VIDEO_PREVIEW")) {
		define("VIDEO_PREVIEW", photo_VIDEO_PREVIEW);
		define("VIDEO_PREVIEW_EXT", photo_VIDEO_PREVIEW_EXT);
	} else {
		define("VIDEO_PREVIEW", "YES");
		define("VIDEO_PREVIEW_EXT", "flv,mp4,mp3,wmv");
	}
	if (defined("photo_VIDEO_TIMELINE_THUMB_NUM")) {
		define("VIDEO_TIMELINE_THUMB_NUM", photo_VIDEO_TIMELINE_THUMB_NUM);
	} else {
		define("VIDEO_TIMELINE_THUMB_NUM", 5);
	}
	if (defined("photo_VIDEO_TIMELINE_THUMB_NUM_SELECT")) {
		define("VIDEO_TIMELINE_THUMB_NUM_SELECT", photo_VIDEO_TIMELINE_THUMB_NUM_SELECT);
	} else {
		define("VIDEO_TIMELINE_THUMB_NUM_SELECT", "5,10,15,20,25,30");
	}
	if (defined("photo_VIDEO_TIMELINE_THUMB_SIZE")) {
		define("VIDEO_TIMELINE_THUMB_SIZE", photo_VIDEO_TIMELINE_THUMB_SIZE);
	} else {
		define("VIDEO_TIMELINE_THUMB_SIZE", 160);
	}
	if (defined("photo_VIDEO_TIMELINE_THUMB_SIZE_SELECT")) {
		define("VIDEO_TIMELINE_THUMB_SIZE_SELECT", photo_VIDEO_TIMELINE_THUMB_SIZE_SELECT);
	} else {
		define("VIDEO_TIMELINE_THUMB_SIZE_SELECT", "80,120,160,200,240,320,400");
	}
	if (!defined("PHOTO_ERROR_LOG_FILE")) {
		define("PHOTO_ERROR_LOG_FILE", "photo.log");
	}
	if (!defined("photo_RESIZE_DIR_SMALL")) {
		define("photo_RESIZE_DIR_SMALL", "/___small___/");
	}
	if (!defined("photo_RESIZE_DIR_THUMB")) {
		define("photo_RESIZE_DIR_THUMB", "/___thumb___/");
	}
	if (!defined("photo_DELETE_TRASH_DIR")) {
		define("photo_DELETE_TRASH_DIR", "/___trash___/");
	}
	if (!defined("VIDEO_PREVIEW_CONVERT_FLV_DIR")) {
		define("VIDEO_PREVIEW_CONVERT_FLV_DIR", "/___flv___/");
	}
	if (!defined("VIDEO_PREVIEW_START_SEC_FILE")) {
		define("VIDEO_PREVIEW_START_SEC_FILE", "___video_start_sec");
	}
	if (!defined("photo_LOUPE_WIDTH")) {
		define("photo_LOUPE_WIDTH", 600);
		define("photo_LOUPE_HEIGHT", 600);
	}
	if (!defined("photo_SLIDE_FADEIN_USE")) {
		define("photo_SLIDE_FADEIN_USE", "YES");
	}
	if (!defined("photo_SLIDE_FADEIN_TIME")) {
		define("photo_SLIDE_FADEIN_TIME", 800);		// スライドフェードイン ミリ秒
	}
	if (!defined("photo_SLIDE_AJAX_FADEIN_TIME")) {
		define("photo_SLIDE_AJAX_FADEIN_TIME", 800);	// 全画面Ajax フェードイン ミリ秒
	}
	if (!defined("photo_SLIDE_AJAX_FADEOUT_TIME")) {
		define("photo_SLIDE_AJAX_FADEOUT_TIME", 800);	// 全画面Ajax フェードアウト ミリ秒
	}
	if (!defined("photo_SCREEN_AVAILHEIGHT_SETOFF")) {
		define("photo_SCREEN_AVAILHEIGHT_SETOFF", 200);	// サムネイル ポップアップ画像のサイズ screen.availHeightから減
	}
?>
